***************************
* File: G2_kits_materiels.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P E\"
capture clear
capture log close
clear
set mem 700m
set more off

use "4- Data\4.1. Raw Data\Second Round\cisco\G2_kits_materiels.dta"

**************************************************
***   Ensure all variables are present and labeled.
**************************************************
log using "G2_kits_materiels", replace
codebook, compact
log close

**************************************************
***   Unique identifiers: ID
**************************************************
drop if num_ecole==.
egen cisco_code = group(cisco)
egen ID=concat( cisco_code num_ecole)
destring ID, replace
order cisco cisco_code ID
label var ID "identifiant unique"

**************************************************
***   Identify outliers
**************************************************

log using "G2_kits_materiels grubbs", replace
grubbs  nb_kits- cimen_dren , level(99.99)
sum grubbs*
log close
drop grubbs*  

**************************************************
*** FINAL  : Delivrables
**************************************************

*Codebook
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.3. Data Code Book\Second Round\cisco"
log using "G2_kits_materiels codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.1. Final Data\Second Round\cisco"
save "G2_kits_materiels_cleaned_data.dta", replace
