***************************
* File: entete_cisco.do 
* Questionnaire type: Health Facility
* Country: Madagascar
*****************************

version 10.1
cd "Source\Madagascar 2006 P E\"
capture clear
capture log close
clear
set mem 700m
set more off

use "4- Data\4.1. Raw Data\Second Round\cisco\entete_cisco.dta"

**************************************************
***   Ensure all variables are present and labeled.
**************************************************
log using "entete_cisco", replace
codebook, compact
log close

**************************************************
***   Unique identifiers: ID
**************************************************
egen cisco_code = group(cisco)
order cisco cisco_code
*************************************************

**************************************************
*** FINAL  : Delivrables
**************************************************

*Codebook
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.3. Data Code Book\Second Round\cisco"
log using "entete_cisco codebook", replace
codebook, compact
log close

*Save cleaned data
cd "Source\Madagascar 2006 P E\4- Data\4.3. Clean Data\4.3.1. Final Data\Second Round\cisco"
save "entete_cisco_cleaned_data.dta", replace
